org.keycloak.models.cache.entities

## Class CachedClient

- java.lang.Object
- - org.keycloak.models.cache.entities.CachedClient

- Direct Known Subclasses:
    CachedApplication, CachedOAuthClient

      public class CachedClient
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `allowedClaimsMask`
    `protected boolean` | `directGrantsOnly`
    `protected boolean` | `enabled`
    `protected String` | `id`
    `protected String` | `name`
    `protected int` | `notBefore`
    `protected boolean` | `publicClient`
    `protected Set<String>` | `redirectUris`
    `protected Set<String>` | `scope`
    `protected String` | `secret`
    `protected Set<String>` | `webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedClient(KeycloakCache cache, KeycloakSession delegate, RealmModel realm, ClientModel model)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAllowedClaimsMask()`
    `String` | `getId()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `Set<String>` | `getRedirectUris()`
    `Set<String>` | `getScope()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `isDirectGrantsOnly()`
    `boolean` | `isEnabled()`
    `boolean` | `isPublicClient()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### allowedClaimsMask

          protected long allowedClaimsMask

    - #### redirectUris

          protected Set<String> redirectUris

    - #### enabled

          protected boolean enabled

    - #### secret

          protected String secret

    - #### publicClient

          protected boolean publicClient

    - #### directGrantsOnly

          protected boolean directGrantsOnly

    - #### notBefore

          protected int notBefore

    - #### scope

          protected Set<String> scope

    - #### webOrigins

          protected Set<String> webOrigins

  - ### Constructor Detail

    - #### CachedClient

          public CachedClient(KeycloakCache cache,
                      KeycloakSession delegate,
                      RealmModel realm,
                      ClientModel model)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getAllowedClaimsMask

          public long getAllowedClaimsMask()

    - #### getRedirectUris

          public Set<String> getRedirectUris()

    - #### isEnabled

          public boolean isEnabled()

    - #### getSecret

          public String getSecret()

    - #### isPublicClient

          public boolean isPublicClient()

    - #### isDirectGrantsOnly

          public boolean isDirectGrantsOnly()

    - #### getNotBefore

          public int getNotBefore()

    - #### getScope

          public Set<String> getScope()

    - #### getWebOrigins

          public Set<String> getWebOrigins()

Copyright © 2014. All Rights Reserved.